summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2014-02-03 09:50:15 +0100
committer Erik Hanson <erik@slackbuilds.org>2014-02-08 11:10:26 -0600
commita55d03d14ca2d45bd2b5e1ef03ee15c9235619dc (patch)
treeeb54858898c9c0d0602524a8b394a08ba48c3878
parentbb9f5b879fc08389aa2ade5c98fb3cdc22f5e6f8 (diff)
downloadslackbuilds-a55d03d14ca2d45bd2b5e1ef03ee15c9235619dc.tar.gz
slackbuilds-a55d03d14ca2d45bd2b5e1ef03ee15c9235619dc.tar.xz
gis/geoserver-python: Added (GeoServer Python scripting support).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--gis/geoserver-python/README3
-rw-r--r--gis/geoserver-python/geoserver-python.SlackBuild64
-rw-r--r--gis/geoserver-python/geoserver-python.info10
-rw-r--r--gis/geoserver-python/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/gis/geoserver-python/README b/gis/geoserver-python/README
new file mode 100644
index 0000000000..b45ddc75ae
--- /dev/null
+++ b/gis/geoserver-python/README
@@ -0,0 +1,3 @@
+The Python plugin adds support for Python GeoScript to GeoServer.
+
+Tomcat must be restarted for the plugin to take effect.
diff --git a/gis/geoserver-python/geoserver-python.SlackBuild b/gis/geoserver-python/geoserver-python.SlackBuild
new file mode 100644
index 0000000000..c29bad852f
--- /dev/null
+++ b/gis/geoserver-python/geoserver-python.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# SlackBuild script for geoserver-python
+
+# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geoserver-python
+VERSION=${VERSION:-2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/geoserver-$VERSION-SNAPSHOT-python-plugin.zip
+
+# remove SNAPSHOT versions of .jar files duplicated in geoserver-wps
+rm gt-geojson-10-SNAPSHOT.jar
+rm gt-process-10-SNAPSHOT.jar
+rm gt-process-feature-10-SNAPSHOT.jar
+rm gt-process-geometry-10-SNAPSHOT.jar
+rm gt-process-raster-10-SNAPSHOT.jar
+
+mkdir -p $PKG/usr/share/geoserver/WEB-INF/lib
+cp -a *.jar $PKG/usr/share/geoserver/WEB-INF/lib
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/geoserver-python/geoserver-python.info b/gis/geoserver-python/geoserver-python.info
new file mode 100644
index 0000000000..75963c9f89
--- /dev/null
+++ b/gis/geoserver-python/geoserver-python.info
@@ -0,0 +1,10 @@
+PRGNAM="geoserver-python"
+VERSION="2.4"
+HOMEPAGE="http://geoserver.org"
+DOWNLOAD="http://jaxartes.net/files/geoserver-2.4-SNAPSHOT-python-plugin.zip"
+MD5SUM="b1e180d874202a28f4667a49803e038d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="geoserver-wps"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/geoserver-python/slack-desc b/gis/geoserver-python/slack-desc
new file mode 100644
index 0000000000..0a49448434
--- /dev/null
+++ b/gis/geoserver-python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geoserver-python: geoserver-python (Python scripting support for GeoServer)
+geoserver-python:
+geoserver-python: The Python plugin adds support for Python GeoScript to GeoServer.
+geoserver-python:
+geoserver-python:
+geoserver-python:
+geoserver-python:
+geoserver-python:
+geoserver-python:
+geoserver-python:
+geoserver-python: